[pve-devel] no-subscription dist-upgrade : pve-ha-lrm.service crash with compilation aborded

Fabian Gr├╝nbichler f.gruenbichler at proxmox.com
Wed Apr 18 12:27:05 CEST 2018


On Wed, Apr 18, 2018 at 12:18:58PM +0200, Alexandre DERUMIER wrote:
> Apr 18 12:14:42 kvm1 systemd[1]: pve-ha-lrm.service: Unit entered failed state.
> Apr 18 12:14:42 kvm1 systemd[1]: pve-ha-lrm.service: Failed with result 'exit-code'.
> -- Subject: Unit pve-ha-lrm.service has begun start-up
> -- Unit pve-ha-lrm.service has begun starting up.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: duplicate property 'password' at /usr/share/perl5/PVE/SectionConfig.pm line 176, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/share/perl5/PVE/AbstractConfig.pm line 9, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/AbstractConfig.pm line 9, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/share/perl5/PVE/QemuConfig.pm line 6, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/QemuConfig.pm line 6, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/share/perl5/PVE/HA/Resources/PVEVM.pm line 10, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/HA/Resources/PVEVM.pm line 17, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/share/perl5/PVE/HA/Env/PVE2.pm line 20, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/HA/Env/PVE2.pm line 20, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/share/perl5/PVE/Service/pve_ha_lrm.pm line 9, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/share/perl5/PVE/Service/pve_ha_lrm.pm line 9, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: Compilation failed in require at /usr/sbin/pve-ha-lrm line 6, <DATA> line 755.
> Apr 18 12:17:02 kvm1 pve-ha-lrm[25067]: BEGIN failed--compilation aborted at /usr/sbin/pve-ha-lrm line 6, <DATA> line 755.
> Apr 18 12:17:02 kvm1 systemd[1]: pve-ha-lrm.service: Control process exited, code=exited status=255
> 
> 
> any idea ? (not sure where is the duplicated password property)

do you have your own custom storage plugin that defines a "password"
property? the newly introduced CIFSPlugin has one, and all the storage
plugins are part of the same SectionConfig hierarchy and thus share a
property namespace where each property has to be declared only once.



More information about the pve-devel mailing list